## org.biojavax.bio.phylo.io.nexus
Interface CharactersBlockListener

All Superinterfaces:
  NexusBlockListener

All Known Subinterfaces:
  DataBlockListener

All Known Implementing Classes:
  CharactersBlockBuilder, DataBlockBuilder

    public interface CharactersBlockListener

extends NexusBlockListener

Listens to events that represent Nexus characters blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` `addCharLabel(String charLabel)`
`void` `addCharState(String charState)`
`void` `addCharStateKeyword(String charState, String keyword)`
`void` `addEquate(String symbol, List symbols)`
`void` `addItem(String item)`
`void` `addMatrixEntry(String taxa)`
`void` `addState(String state)`
`void` `addStateLabel(String state, String label)`
`void` `addSymbol(String symbol)`
`void` `addTaxLabel(String taxLabel)` Add a TAXLABEL.
`void` `appendMatrixData(String taxa, Object data)`
`void` `setCharStateLabel(String charState, String label)`
`void` `setDataType(String dataType)`
`void` `setDimensionsNChar(int dimensionsNChar)` Set the NCHAR value.
`void` `setDimensionsNTax(int dimensionsNTax)` Set the NTAX value.
`void` `setEliminateEnd(int eliminateEnd)`
`void` `setEliminateStart(int eliminateStart)`
`void` `setGap(String gap)`
`void` `setInterleaved(boolean interleaved)`
`void` `setLabels(boolean labels)`
`void` `setMatchChar(String matchChar)`
`void` `setMissing(String missing)`
`void` `setRespectCase(boolean respectCase)`
`void` `setStatesFormat(String statesFormat)`
`void` `setTokens(boolean tokens)`
`void` `setTransposed(boolean transposed)`

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Method Detail

### setDimensionsNTax

    void setDimensionsNTax(int dimensionsNTax)

  Set the NTAX value.

  Parameters:
    `dimensionsNTax` - the NTAX value.

### setDimensionsNChar

    void setDimensionsNChar(int dimensionsNChar)

  Set the NCHAR value.

  Parameters:
    `dimensionsNChar` - the NCHAR value.

### setDataType

    void setDataType(String dataType)

### setRespectCase

    void setRespectCase(boolean respectCase)

### setMissing

    void setMissing(String missing)

### setGap

    void setGap(String gap)

### addSymbol

    void addSymbol(String symbol)

### addEquate

    void addEquate(String symbol,
                   List symbols)

### setMatchChar

    void setMatchChar(String matchChar)

### setLabels

    void setLabels(boolean labels)

### setTransposed

    void setTransposed(boolean transposed)

### setInterleaved

    void setInterleaved(boolean interleaved)

### addItem

    void addItem(String item)

### setStatesFormat

    void setStatesFormat(String statesFormat)

### setTokens

    void setTokens(boolean tokens)

### setEliminateStart

    void setEliminateStart(int eliminateStart)

### setEliminateEnd

    void setEliminateEnd(int eliminateEnd)

### addTaxLabel

    void addTaxLabel(String taxLabel)
                     throws ParseException

  Add a TAXLABEL. If it already exists, or is a number that refers to an index position that already exists, an exception is thrown.

  Parameters:
    `taxLabel` - the label to add.
  Throws:
    `ParseException` - if the label cannot be added.

### addCharState

    void addCharState(String charState)

### setCharStateLabel

    void setCharStateLabel(String charState,
                           String label)

### addCharStateKeyword

    void addCharStateKeyword(String charState,
                             String keyword)

### addCharLabel

    void addCharLabel(String charLabel)

### addState

    void addState(String state)

### addStateLabel

    void addStateLabel(String state,
                       String label)

### addMatrixEntry

    void addMatrixEntry(String taxa)

### appendMatrixData

    void appendMatrixData(String taxa,
                          Object data)